LibOFX: OfxStatusData Struct Reference

LibOFX

OfxStatusData Struct Reference

An abstraction of an OFX STATUS element. More...

## Data Fields
Additional information
To give a minimum of context, the name of the OFX SGML element where this <STATUS> is located is available.
char | ofx_element_name [OFX_ELEMENT_NAME_LENGTH]
int | ofx_element_name_valid
OFX optional elements
The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data.
char * | server_message
int | server_message_valid

## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | Severity { INFO, WARN, ERROR, INFO, WARN, ERROR }
enum | Severity { INFO, WARN, ERROR, INFO, WARN, ERROR }
int | code
const char * | name
const char * | description
int | code_valid
enum OfxStatusData::Severity | severity
int | severity_valid

## Detailed Description

An abstraction of an OFX STATUS element.

The OfxStatusData structure represents a STATUS OFX element sent by the OFX server. Be careful, you do not have much context except the entity name so your application should probably ignore this status if code==0. However, you should display a message if the status in non-zero, since an error probably occurred on the server side.

In a future version of this API, OfxStatusData structures might be linked from the OFX structures they are related to.

Definition at line 225 of file inc/libofx.h.

## Member Enumeration Documentation

## ◆ Severity [1/2]

enum OfxStatusData::Severity

Severity of the error

Enumerator
INFO | The status is an informational message
WARN | The status is a warning
ERROR | The status is a true error
INFO | The status is an informational message
WARN | The status is a warning
ERROR | The status is a true error

Definition at line 245 of file inc/libofx.h.

## ◆ Severity [2/2]

enum OfxStatusData::Severity

Severity of the error

Enumerator
INFO | The status is an informational message
WARN | The status is a warning
ERROR | The status is a true error
INFO | The status is an informational message
WARN | The status is a warning
ERROR | The status is a true error

Definition at line 245 of file libofx-0.10.8/inc/libofx.h.

## Field Documentation

## ◆ code

int OfxStatusData::code

Status code

Definition at line 239 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute().

## ◆ code_valid

int OfxStatusData::code_valid

If code_valid is true, so is name and description (They are obtained from a lookup table)

Definition at line 242 of file inc/libofx.h.

## ◆ description

const char * OfxStatusData::description

Code long description, from ofx_error_msg.h

Definition at line 241 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute().

## ◆ name

const char * OfxStatusData::name

Code short name

Definition at line 240 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute().

## ◆ ofx_element_name_valid

int OfxStatusData::ofx_element_name_valid

Name of the OFX element this status is relevant to

Definition at line 233 of file inc/libofx.h.

## ◆ server_message

char * OfxStatusData::server_message

Explanation given by the server for the Status Code. Especially important for generic errors.

Definition at line 258 of file inc/libofx.h.

Referenced by OfxStatusContainer::add_attribute().

The documentation for this struct was generated from the following file:

- inc/libofx.h